Subject: RE: [mobile-ip] Re: [Q] Routing header

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Mon, 4 Jun 2001 23:57:07 +0200

Mike,

>  > >    This is mostly a mipv6 issue, but suppose you have:
>  > > 
>  > >    MN------->MR------------------------>CN
>  > > 
>  > >    When the mobile node moves, it sends a BU to the CN.
>  > >    When the mobile router moves, it too sends a BU to the CN.
>  > 
>  > This is only your scenario.   You could think of any scenario you want. 
>  > Anyway, this is something I have already raised in the MIP WG and this
>  > is presumably a case where MIPv6 would fail.
> 
>    I'm aware that this is only my scenario, but this is
>    what I think a naive implementation would do. Ie,
>    the mobile router would think it's supposed to send
>    a BU when it see something come in from its home agent
>    tunnel interface, the MN (or another MR) would
>    think it's supposed to send a BU...
> 
	=> There is nothing naive about the implementation
	you're referring to. In fact it is so far from naive that 
	it's inventing it's own standard. Nothing in any of the 
	MIP specs allows a MN/MR to send a BU on behalf 
	of another MN. 
	_If_ the WG were to accept a proposal like this we 
	would have to make sure that there is some delegation
	of athority from the MN to the MR to do so. I have 
	no idea how to do that though. I think what Thierry's 
	draft is sufficient, if we want route optimisation I think 
	we should keep it end to end as the MIPv6 draft 
	requires it to be.

	Hesham